[X2Go-Commits] x2goserver.git - build-baikal (branch) updated: 3.0.99-2-93-gfff8dfd

X2Go dev team git-admin at x2go.org
Fri Jan 3 20:50:38 CET 2014


The branch, build-baikal has been updated
       via  fff8dfd7d3b73d0e597d08a193d855b6009eaca4 (commit)
      from  96655427f63bf17cf244f44859c568366950680c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/changelog           |    1 +
 debian/x2goserver.postinst |   89 ++++++++++++++++++++++----------------------
 debian/x2goserver.postrm   |   27 +++++++-------
 3 files changed, 59 insertions(+), 58 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index 5d44ea4..d2fa577 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -15,6 +15,7 @@ x2goserver (3.0.99.5-0~x2go3) UNRELEASED; urgency=low
   * Fix of Debian clean rules, fix of Makefile's clean rules.
   * Breaks/replaces packages: x2goserver-one, x2goserver-home, x2goprint (instead of Conflicts).
   * Switch to setgid instead of setuid for SQLite wrapper.
+  * Tab'ified postinst/postrm scripts.
 
   [Martin Oehler]
   * Removes old debug code fragment, fixes x2golistsessions parsing.
diff --git a/debian/x2goserver.postinst b/debian/x2goserver.postinst
index 5cbd874..d0b4ddd 100755
--- a/debian/x2goserver.postinst
+++ b/debian/x2goserver.postinst
@@ -19,51 +19,50 @@ set -e
 
 
 case "$1" in
-    configure)
-    chmod 700 /etc/x2go/x2gosql/passwords
-    touch /etc/x2go/x2gosql/passwords/pgadmin
-    chmod 600 /etc/x2go/x2gosql/passwords/pgadmin
-
-    # setup x2gouser and group
-    if ! getent group x2gouser >/dev/null; then
-        echo "Creating x2gouser group." >&2
-        addgroup --system x2gouser
-    else
-        echo "Group x2gouser already exists." >&2
-    fi
-    if ! getent passwd x2gouser >/dev/null; then
-        echo "Creating x2gouser user." >&2
-        adduser --system --no-create-home \
-            --disabled-password --disabled-login \
-            --shell /bin/false --group --home /var/db/x2go x2gouser
-    else
-        echo "User x2gouser already exists." >&2
-    fi
-
-    if [ ! -f /var/db/x2go/x2go_sessions ]; then
-        x2godbadmin --createdb
-    else
-        # make sure db permissions are set correctly
-        chown root:x2gouser /var/db/x2go -Rf
-        chmod 0750 /var/db/x2go
-        chmod 0660 /var/db/x2go/x2go_sessions
-    fi
-
-    # the sqlite db has to be accessed as uid x2gouser
-    dpkg-statoverride --add --update root x2gouser 4755 /usr/bin/x2gosqlitewrapper || true
-
-    # we may be upgrading versions of x2goserver that had /usr/lib/x2go/x2gosqlitewrapper.pl set to setuid user.
-    dpkg-statoverride --remove /usr/lib/x2go/x2gosqlitewrapper.pl && chown root:root /usr/lib/x2go/x2gosqlitewrapper.pl && chmod 0755 /usr/lib/x2go/x2gosqlitewrapper.pl || true
-
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
+	configure)
+		chmod 700 /etc/x2go/x2gosql/passwords
+		touch /etc/x2go/x2gosql/passwords/pgadmin
+		chmod 600 /etc/x2go/x2gosql/passwords/pgadmin
+
+		# setup x2gouser and group
+		if ! getent group x2gouser >/dev/null; then
+			echo "Creating x2gouser group." >&2
+			addgroup --system x2gouser
+		else
+			echo "Group x2gouser already exists." >&2
+		fi
+		if ! getent passwd x2gouser >/dev/null; then
+			echo "Creating x2gouser user." >&2
+			adduser --system --no-create-home \
+			--disabled-password --disabled-login \
+			--shell /bin/false --group --home /var/db/x2go x2gouser
+		else
+			echo "User x2gouser already exists." >&2
+		fi
+
+		if [ ! -f /var/db/x2go/x2go_sessions ]; then
+			x2godbadmin --createdb
+		else
+			# make sure db permissions are set correctly
+			chown root:x2gouser /var/db/x2go -Rf
+			chmod 0750 /var/db/x2go
+			chmod 0660 /var/db/x2go/x2go_sessions
+		fi
+
+		# the sqlite db has to be accessed as uid x2gouser
+		dpkg-statoverride --add --update root x2gouser 4755 /usr/bin/x2gosqlitewrapper || true
+
+		# we may be upgrading versions of x2goserver that had /usr/lib/x2go/x2gosqlitewrapper.pl set to setuid user.
+		dpkg-statoverride --remove /usr/lib/x2go/x2gosqlitewrapper.pl && chown root:root /usr/lib/x2go/x2gosqlitewrapper.pl && chmod 0755 /usr/lib/x2go/x2gosqlitewrapper.pl || true
+		;;
+
+	abort-upgrade|abort-remove|abort-deconfigure)
+		;;
+
+	*)
+		echo "postinst called with unknown argument \`$1'" >&2
+		exit 1
+		;;
 esac
 
 # dh_installdeb will replace this with shell code automatically
diff --git a/debian/x2goserver.postrm b/debian/x2goserver.postrm
index 37f8c02..4522b04 100755
--- a/debian/x2goserver.postrm
+++ b/debian/x2goserver.postrm
@@ -17,19 +17,20 @@ set -e
 
 
 case "$1" in
-        purge)
-            dpkg-statoverride --remove /usr/bin/x2gosqlitewrapper || true
-            echo "Removing x2go session database" >&2
-            rm -vf /var/lib/x2go/x2go_sessions
-            rm -vf /etc/x2go/x2gosql/passwords/pgadmin
-            getent passwd x2gouser >/dev/null && deluser x2gouser
-            getent group x2gousers >/dev/null && delgroup x2gousers
-        ;;
-        remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-        ;;
-        *)
-            echo "postrm called with unknown argument \`$1'" >&2
-            exit 0
+	purge)
+		dpkg-statoverride --remove /usr/bin/x2gosqlitewrapper || true
+		echo "Removing x2go session database" >&2
+		rm -vf /var/lib/x2go/x2go_sessions
+		rm -vf /etc/x2go/x2gosql/passwords/pgadmin
+		getent passwd x2gouser >/dev/null && deluser x2gouser
+		getent group x2gousers >/dev/null && delgroup x2gousers
+		;;
+	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+		;;
+	*)
+		echo "postrm called with unknown argument \`$1'" >&2
+		exit 0
+		;;
 esac
 
 # dh_installdeb will replace this with shell code automatically


hooks/post-receive
-- 
x2goserver.git (X2Go Server)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2goserver.git" (X2Go Server).




More information about the x2go-commits mailing list